%define		_state		stable
%define		orgname		pairs

Summary:	K Desktop Environment - A game to enhance your memory
Summary(pl.UTF-8):	K Desktop Environment - Gra rozwijająca pamięć
Name:		kde4-pairs
Version:	4.10.4
Release:	1
License:	GPL
Group:		X11/Applications/Science
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	3ff57c4922c573ce3272eb20e468e5c3
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdeedu-devel >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pairs - a game to enhance your memory.

%description -l pl.UTF-8
Pairs - gra rozwijająca pamięć.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

#find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

#files -f %{orgname}.lang
%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/pairs
%attr(755,root,root) %{_bindir}/pairseditor
%{_datadir}/apps/pairs
%{_datadir}/apps/pairseditor
%{_datadir}/config/pairs.knsrc
%{_desktopdir}/kde4/pairs.desktop
%{_desktopdir}/kde4/pairseditor.desktop
%{_iconsdir}/hicolor/scalable/apps/pairs.svgz
%{_iconsdir}/hicolor/scalable/apps/pairseditor.svgz
%{_iconsdir}/hicolor/*x*/apps/pairs.png
%{_iconsdir}/hicolor/*x*/apps/pairseditor.png
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-pairs.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 3e9352b
- updated to 4.10.4 (by update-kde4.sh)

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 9f42c17
- updated files

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> 74fc3cc
- still no translations

* Sun Feb 17 2013 Jan Rękorajski <baggins@pld-linux.org> f9ddb20
- updated files

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> c1c4bde
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 311f418
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> 5bc804e
- updated to 4.9.3.

* Sun Oct 07 2012 Elan Ruusamäe <glen@delfi.ee> 756f1f5
- fix invalid pl locale

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 98eb5ce
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> f475026
- Updated files and source URL

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 0103a3d
- Initial commit

